linear units precision 2,similar (rtos x 2 2)
nothing to do with placement
To suit your drawing, try to modify/add in the code post#13 (in red)
- (defun [color="blue"]OUTLINE_TX[/color] (p1 p2 h cw / pl d ro) (setq pl (mapcar '(lambda(x) (list (car x) (cadr x))) (list p1 p2))) (mapcar '(lambda(a b) (set a (apply b pl))) '(ro d) '(angle distance)) [color="red"](setq d (* d 0.001))[/color] (entmakex ..... .....
sorry about the 500 internal server error very painful to reply post
iMO it's diffucult for you as newbie,
nvm i try my best to assist, example in Ronjop's code just replace this part
- (setq pp (polar (car pt) (- (cadddr pt) (/ pi 2.)) th)) (entmakex (list '(0 . "TEXT") '(100 . "AcDbEntity") '(8 . "BoothOutlineLength") '(100 . "AcDbText") (cons 10 pp) (cons 40 th) '(62 . 1) (cons 1 (rtos (/ (last pt) 1000.) 2 0)) (cons 50 (lm:makereadable (cadddr pt))) '(72 . 1) (cons 11 pp) '(100 . "AcDbText") '(73 . 2) ) )
to this.
- [color="green"] ;; modified by hanhphuc [/color] ([color="blue"]OUTLINE_TX[/color] (cadr pt) (caddr pt) 500 (LM:ListClockwise-p (apply 'append (mapcar ''((x)(list (cadr x)(caddr x))) out ))))
It's simple right? ( OUTLINE_TX FromStartPoint ToEndPoint Text_Height ClockWise_Predicate )
; with 4 arguments. in blue is the function symbol & in deep purple is argument
as you can see i also used Lee Mac's function LM:ListClockwise-p |